Main Page Packages Class Hierarchy Compound List File List Compound Members

# documenttypegetnotationstype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documenttypegetnotationstype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

Every node in the map returned by the "getNotations()" method implements the Notation interface.

Retrieve the Document Type for this document and create a NamedNodeMap object of all the notations. Traverse the entire list and examine the NodeType of each node.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-D46829EF

Definition at line 44 of file documenttypegetnotationstype.java.

## Constructor & Destructor Documentation

documenttypegetnotationstype::documenttypegetnotationstype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 46 of file documenttypegetnotationstype.java.
    00047  {
    00048       super(factory);
    00049
    00050    }

## Member Function Documentation

String documenttypegetnotationstype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 69 of file documenttypegetnotationstype.java.
    00069                                 {
    00070       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documenttypegetnotationstype";
    00071    }

void documenttypegetnotationstype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 72 of file documenttypegetnotationstype.java. References DOMTestCase::doMain().
    00072                                           {
    00073         DOMTestCase.doMain(documenttypegetnotationstype.class,args);
    00074    }

void documenttypegetnotationstype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 52 of file documenttypegetnotationstype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00052                                                     {
    00053       Document doc;
    00054       DocumentType docType;
    00055       NamedNodeMap notationList;
    00056       Node notation;
    00057       int notationType;
    00058       doc = load("staff");
    00059       docType = doc.getDoctype();
    00060       notationList = docType.getNotations();
    00061       for(int _index = 0; _index < notationList.getLength();_index++) {
    00062       notation = ( Node ) notationList.item(_index);
    00063            notationType = (int)notation.getNodeType();
    00064       assertEquals("documenttypeGetNotationsTypeAssert",12,notationType);
    00065
    00066         }
    00067
    00068    }

The documentation for this class was generated from the following file:

- documenttypegetnotationstype.java